<?
session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../index.html'; </script>";
 return;
}

include("../opendb.php");
include("../test.php");
print 'purno '.$purno;
print 'tax'.$taxtype;
print 'jvno:'.$jvno;

//**************
$sql="delete from sparepurchase where purno='$purno' and jvno='$jvno' and taxtype='$taxtype' and brcode='$brcode'";
//print $sql;
mysqli_query($db,$sql);
$sql="delete from journal2 where jvno='$jvno' and brcode='$brcode'";
//print '<br>'.$sql;
mysqli_query($db,$sql);


$totact=0;
$tothand=0;
$i=0;
foreach($partcode as $a)
{
 $partcode[$i]=$a; 
 $i++;
}
$i=0;
foreach($partname as $a)
{
 $partname1[$i]=$a; 
 $i++;
}
$i=0;
foreach($supqty as $a)
{
 $supqty1[$i]=$a; 
 $i++;
}
$i=0;
foreach($foc as $a)
{
 $foc[$i]=$a; 
 $i++;
}
$i=0;
foreach($price as $a)
{
 $price[$i]=$a; 
 $i++;
}
$i=0;
foreach($disc as $a)
{
 $disc[$i]=$a; 
 $i++;
}
$i=0;
foreach($aprice as $a)
{
 $aprice[$i]=$a; $totact+=$a;
 $i++;
}
$i=0;
foreach($hand as $a)
{
 $hand[$i]=$a; $tothand+=$a;
 $i++;
}

$i=0;
foreach($tax as $a)
{
 $tax[$i]=$a; 
 $i++;
}

$i=0;
foreach($taxamt as $a)
{
 $taxamt[$i]=$a; 
 $i++;
}
$i=0;
foreach($tot as $a)
{
 $tot[$i]=$a; 
 $i++;
}

$i=0;
foreach($cessp as $a)
{
 $cessp[$i]=$a; 
 $i++;
}
$i=0;
foreach($cessamt as $a)
{
 $cessamt[$i]=$a; 
 $i++;
}



print 'tot act:'.$totact.'tot hand:'.$tothand;
$handper=($totact*$tothand)/100;
$totact_per=$totact+$handper;
for($j=0;$j<$i;$j++)
{
if($supqty1[$j]>0)
{
$sql="insert into sparepurchase values('$purno','$porderno','$suplier','$pbillno','$purdate','$entrydate','$partcode[$j]','$partname1[$j]','$supqty1[$j]','$foc[$j]','$price[$j]','$disc[$j]','$aprice[$j]','$hand[$j]','$tax[$j]', '$taxamt[$j]','$tot[$j]','$brcode','$taxtype','$jvno','$cessp[$j]','$cessamt[$j]','0','0')";

mysqli_query($db,$sql)or die(mysqli_error($db));
$sql="update purorder_spare set sup_qty=(sup_qty+$supqty1[$j]), sup_purno='$purno', sup_date='$entrydate' ,trans_type='purchase' where orderno='$porderno' and partcode='$partcode[$j]' and brcode='$brcode'";
mysqli_query($db,$sql)or die(mysqli_error($db));
}
}
if($taxtype=='VAT')
{
 $taxdrres=mysqli_query($db,"select sum(aprice),tax from sparepurchase where purno='$purno' and taxtype='VAT' and brcode='$brcode' group by tax");
  while($taxdrrow=mysqli_fetch_array($taxdrres))
  {
    $ledger='Spare Purchase VAT '.$taxdrrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$ledger','$taxdrrow[0]','0','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err1'.mysqli_error($db));
  }


 $taxres=mysqli_query($db,"select tax, sum(taxamt) from sparepurchase where purno='$purno' and taxtype='VAT' and brcode='$brcode' group by tax");
  while($taxrow=mysqli_fetch_array($taxres))
  {
    $ledger='Input Vat (Spare)'.$taxrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$ledger','$taxrow[1]','0','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err2'.mysqli_error($db));
  }

//*************** cess
 $taxcessres=mysqli_query($db,"select sum(cessamt),cessp from sparepurchase where purno='$purno' and taxtype='VAT' and brcode='$brcode' group by purno")or die('cess err.'.mysqli_error($db));
  while($taxcessrow=mysqli_fetch_array($taxcessres))
  {
    $ledger='Cess Paid '.$taxcessrow[1].'%';
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$ledger','$taxcessrow[0]','0','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err6'.mysqli_error($db));
  }


//************************
 $taxcrres=mysqli_query($db,"select sum(tot) from sparepurchase where purno='$purno' and taxtype='VAT' and brcode='$brcode'");
  while($taxcrrow=mysqli_fetch_array($taxcrres))
  {
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$suplier','0','$taxcrrow[0]','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err3'.mysqli_error($db));
  }
} // end if
else
{
//********************* CST
 $taxdrres=mysqli_query($db,"select sum(aprice),tax from sparepurchase where purno='$purno' and taxtype='CST' and brcode='$brcode' group by tax");
  while($taxdrrow=mysqli_fetch_array($taxdrres))
  {
    $ledger='Spare Purchase CST '.$taxdrrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$ledger','$taxdrrow[0]','0','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err4'.mysqli_error($db));
  }


 $taxres=mysqli_query($db,"select tax, sum(taxamt) from sparepurchase where purno='$purno' and taxtype='CST' and brcode='$brcode' group by tax");
  while($taxrow=mysqli_fetch_array($taxres))
  {
    $ledger='CST Paid '.$taxrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$ledger','$taxrow[1]','0','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err5'.mysqli_error($db));
  }
//************************
 $taxcrres=mysqli_query($db,"select sum(tot) from sparepurchase where purno='$purno' and taxtype='CST' and brcode='$brcode'");
  while($taxcrrow=mysqli_fetch_array($taxcrres))
  {
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$sup','0','$taxcrrow[0]','Spare purno: $purno,PBill:$pbillno','$brcode','Spare Pur','Pur Order','$porderno','0')";
     mysqli_query($db,$sql) or die('Led Post Err6'.mysqli_error($db));
  }
$jvdifres=mysqli_query($db,"select sum(dramt)-sum(cramt) from journal2 where jvno='$jvno' and brcode='$brcode'");
$jvdifrow=mysqli_fetch_row($jvdifres);
$dif=$jvdifrow[0];

if($dif<0)
{
$sql="insert into journal2 values('$entrydate','$jvno','Dr','Round Off','$dif', '0','Round ofSpur No: $purno','$brcode','Spare purchase','invno','$purno','$purno')";
mysqli_query($db,$sql) or die("J V Write error dif1:".mysqli_error($db));
}
else if($dif>0)
{
 $sql="insert into journal2 values('$entrydate','$jvno','Cr','Round Off','0','$dif','Round of adjusted pur No: $purno,PBill:$pbillno','$brcode','Spare sale','invno','$purno','$purno')";
mysqli_query($db,$sql) or die("J V Write error dif:".mysqli_error($db));
}


}
log_entry($brcode,$user,$REMOTE_ADDR,"spare purchase:$purno Journal - $jvno");

print "Record has been Saved. Close this window";
?>

?>
